﻿.custom-map-control-button {
    background-color: #ffffff;
    color: gray;
    border: 0;
    border-radius: 20px;
    box-shadow: 0 1px 4px -1px rgba(0, 0, 0, 0.3);
    /*margin-bottom: 0px;*/
    margin-right: 10px;
    padding: 6px;
    font: 400 18px Roboto, Arial, sans-serif;
    overflow: hidden;
    height: 40px;
    cursor: pointer;
}

    .custom-map-control-button:hover {
        color: dodgerblue;
    }

#container {
    height: 100%;
    display: flex;
}

#sidebar {
    flex-basis: 15rem;
    flex-grow: 1;
    padding: 1rem;
    /*max-width: 30rem;*/
    height: 100%;
    box-sizing: border-box;
    overflow: auto;
}

#sidebar {
    flex: 0 1 auto;
    padding: 0;
}

    #sidebar > div {
        padding: 0.5rem;
    }

#map {
    flex-basis: 0;
    flex-grow: 4;
    height: 100%;
}

#directions-panel {
    margin-top: 10px;
}


/*for searching*/
#description {
    font-family: Roboto;
    font-size: 15px;
    font-weight: 300;
}

#infowindow-content .title {
    font-weight: bold;
}

#infowindow-content {
    display: none;
}

#map #infowindow-content {
    display: inline;
}

.pac-card {
    background-color: #fff;
    border: 0;
    border-radius: 2px;
    box-shadow: 0 1px 4px -1px rgba(0, 0, 0, 0.3);
    margin: 10px;
    padding: 0 0.5em;
    font: 400 18px Roboto, Arial, sans-serif;
    overflow: hidden;
    font-family: Roboto;
    padding: 0;
}

#pac-container {
    padding-bottom: 12px;
    margin-right: 12px;
}

.pac-controls {
    display: inline-block;
    padding: 5px 11px;
}

    .pac-controls label {
        font-family: Roboto;
        font-size: 13px;
        font-weight: 300;
    }

#pac-input {
    border-radius: 3px;
    color: gray;
    border-width: 0.01px;
    border-color: #dbe2e9;
    background-color: #ebeef1;
    font-family: Roboto;
    font-size: 15px;
    font-weight: 300;
    margin-top: 11px;
    margin-bottom: 10px;
    padding: 0 11px 0 13px;
    text-overflow: ellipsis;
    width: 700px;
    height: 37px;
    box-shadow: inset 3px 3px 3px -1px rgba(10, 99, 169, 0.16), inset -3px -3px 3px -1px rgba(255, 255, 255, 0.86);
}

    #pac-input:focus {
        border-color: lightgray;
        border-width: 0.05px;
    }

#title {
    color: #fff;
    background-color: #4d90fe;
    font-size: 25px;
    font-weight: 500;
    padding: 6px 12px;
}

#target {
    width: 345px;
}